/*
 * Chronometre.h
 * This file is part of ChronoCheckMate
 *
 * Copyright (C) 2010 - François Drouhard
 *
 * ChronoCheckMate is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ChronoCheckMate is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ChronoCheckMate; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */
 
#ifndef DEF_CHRONOMETRE
#define DEF_CHRONOMETRE
 

#include <QGroupBox>
class QLabel;
class QHBoxLayout;
class QTimer;
class QString;
class QTime;

class Chronometre : public QGroupBox {
	
	Q_OBJECT
	
	public:
    Chronometre (const QString & nom , int tempsDepart, QWidget * parent);
	void start ();
	void stop ();
	void affichage ();
	void reinit ();
	void basculer ();
    void modifierNomJoueur (QString joueur);
    void definirTemps (int tempsDepart);

    signals:
    void fin();


    private slots:
    void refresh ();
	
	private:
    int ms;
    int msTempsDepart;
	QTimer *timer;
    QTime  *temps;
    QHBoxLayout *ecranLayout;
    QLabel *ecranTemps;
};

#endif
